
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was LibIMECoreConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include(CMakeFindDependencyMacro)

find_dependency(Boost 1.61)
find_dependency(Fcitx5Utils)

if(NOT TARGET LibIME::slm_build_binary)
    add_executable(LibIME::slm_build_binary IMPORTED)
    set_target_properties(LibIME::slm_build_binary PROPERTIES
        IMPORTED_LOCATION "/usr/pkg/bin/libime_slm_build_binary")
endif()

if(NOT TARGET LibIME::prediction)
    add_executable(LibIME::prediction IMPORTED)
    set_target_properties(LibIME::prediction PROPERTIES
        IMPORTED_LOCATION "/usr/pkg/bin/libime_prediction")
endif()

if(NOT TARGET LibIME::history)
    add_executable(LibIME::history IMPORTED)
    set_target_properties(LibIME::history PROPERTIES
        IMPORTED_LOCATION "/usr/pkg/bin/libime_history")
endif()

include("${CMAKE_CURRENT_LIST_DIR}/LibIMECoreTargets.cmake")
set(LIBIME_INSTALL_PKGDATADIR "/usr/pkg/share/libime")
